[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# GraphicFileMask

Gets one or more file masks which can be used to select image files for the specified TGraphicClass instance.

## Declaration

Source position: graphics.pp line 1920

`function GraphicFileMask(`
`GraphicClass: TGraphicClass`
`):string;`

## Arguments

`GraphicClass` |  | TGraphicClass instance to locate in the registered graphic formats for the platform.

## Function result

Delimited list of file masks for the graphics class, or an empty string when the graphics class is not supported.

## Description

GraphicFileMask is a String function used to get a list of file mask(s) which can be used for files compatible with the specified graphics class.

GraphicClass is the TGraphicClass instance with the TGraphic descendant requested in the routine. It can contain one of the graphic classes like TBitmap, TCursorImage, TIcon, TPNGImage, TJPEGImage, et. al. If TGraphic is passed in the argument, a list with file masks for all of the registered image formats is returned. File masks are separated by the ';' delimiter.

For example:

    sMask := GraphicFileMask(TJpegImage);

Returns:

    *.jpeg;*.jpg;*.jpe;*.jfif

While:

    sMask := GraphicFileMask(TGraphic);

Returns:

    *.png;*.xpm;*.bmp;*.cur;*.ico;*.icns;*.jpeg;*.jpg;*.jpe;*.jfif;
    *.tif;*.tiff;*.gif;*.pbm;*.pgm;*.ppm

Remark: | Formatted for readability; the return value is a string without line breaks. Content depends on the images types supported on a given platform.

Use GraphicFilter to get a filter value for graphic class type(s) which can be assigned to the Filter property in a dialog.

Use GraphicExtension to get a single file extension (without the leading '.') for a graphic class type.

## See also

TGraphic |  | Abstract base class used for images in supported image formats.
TGraphicClass |  | TGraphicClass - class of TGraphic.
TIcon |  | Implements an icon image type; small images typically associated with applications, controls, etc.
TIcnsIcon |  | Implements a macOS Icon Resource file.
TCursorImage |  | TCursorImage - an Icon to be used to represent a cursor.
TBitmap |  | Implements a FCL-compatible reader/writer for a Bitmap image.
TJpegImage |  | TJPEGImage - a class for handling images stored in JPEG (compressed) format.
TPortableNetworkGraphic |  | Implements support for the PNG image format.
TPortableAnyMapGraphic |  | Implements an image which supports for the Portable Any Map (PNM) graphic format.
TPixmap |  | Implements support for the XPM (Pixmap) image format.
TTiffImage |  | Implements support for the TIFF (Tag Image File Format) graphic format.
TGifImage |  | Implements an image using the GIF (Graphics Interchange Format) image format.
GraphicFilter |  | Gets a filter string for files using the specified graphic class type.
GraphicExtension |  | Gets a string with the file extension used for the specified graphic class type.
TFileDialog.Filter |  | A string which contains available filename filters used to select files by their file extensions.